<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
error_reporting(E_ALL & ~E_NOTICE);
//error_reporting(error_reporting() & ~E_NOTICE);
    
if (!file_exists(JPATH_SITE.'/components/com_jshopping/jshopping.php')){
    JError::raiseError(500,"Please install component \"joomshopping\"");
} 
	
require_once (JPATH_SITE.'/components/com_jshopping/lib/factory.php'); 
require_once (JPATH_SITE.'/components/com_jshopping/lib/functions.php');       

JSFactory::loadCssFiles();
JSFactory::loadLanguageFile();
$jshopConfig = JSFactory::getConfig();

$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_bxslider_jshopping_products/assets/css/jquery.bxslider.css');
$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.10.2');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_easing			= (int)$params->get('ext_load_easing', 1);
$ext_load_bxslider			= (int)$params->get('ext_load_bxslider', 1);

$product = JTable::getInstance('product', 'jshop');
$cat_str = $params->get('catids',NULL); 

if (is_array($cat_str)) {    
    $cat_arr = array();
    foreach($cat_str as $key=>$curr){
        if (intval($curr)) $cat_arr[$key] = intval($curr);
    }  
} else {
		$cat_arr = array();
		if (intval($cat_str)) $cat_arr[] = intval($cat_str);
    }
	
$count 						= (int)$params->get('count_products', 10);
$label_id 					= $params->get('label_id');
$ext_products 				= (int)$params->get('ext_products', 0);
	
if( $ext_products == 0 ) { $last_prod = $product->getLastProducts($count, $cat_arr); }
if( $ext_products == 1 ) { $last_prod = $product->getTopRatingProducts($count, $cat_arr); }
if( $ext_products == 2 ) { $last_prod = $product->getBestSellers($count, $cat_arr); }
if( $ext_products == 3 ) { $last_prod = $product->getProductLabel($label_id, $count, $cat_arr); }
	
foreach($last_prod as $key=>$value){
	$last_prod[$key]->product_link = SEFLink('index.php?option=com_jshopping&controller=product&task=view&category_id='.$value->category_id.'&product_id='.$value->product_id, 1);
}
$noimage = "noimage.gif";
$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_id 					= "mod_".$module->id;

$show_image 				= (int)$params->get('show_image',1);
$ext_label_prod				= $params->get('ext_label_prod');
$ext_short_desc				= $params->get('ext_short_desc');
$ext_product_price			= (int)$params->get('ext_product_price', 1);
$ext_review_mark			= $params->get('ext_review_mark');
$ext_count_commentar		= $params->get('ext_count_commentar');
$ext_item_detal				= $params->get('ext_item_detal');
$ext_buttom_text			= $params->get('ext_buttom_text');


// bxSlider options - http://bxslider.com/options
$ext_mode					= $params->get('ext_mode', 'horizontal');
$ext_speed					= (int)$params->get('ext_speed', 500);
$ext_controls				= $params->get('ext_controls', 'true');
$ext_auto					= $params->get('ext_auto', 'false');
$ext_autohover				= $params->get('ext_autohover', 'false');
$ext_pause					= (int)$params->get('ext_pause', 3000);
$ext_auto_controls			= $params->get('ext_auto_controls', 'true');
$ext_auto_delay				= (int)$params->get('ext_auto_delay', 0);
$ext_pager					= $params->get('ext_pager', 'true');
$ext_pager_type 			= $params->get('ext_pager_type', 'full');
$ext_pager_saparator		= $params->get('ext_pager_saparator', '/');
$ext_min_slides				= (int)$params->get('ext_min_slides', 1);
$ext_max_slides				= (int)$params->get('ext_max_slides', 5);
$ext_move_slides			= (int)$params->get('ext_move_slides', 0);	
$ext_slide_width			= (int)$params->get('ext_slide_width', 0);
$ext_slide_margin			= (int)$params->get('ext_slide_margin', 0);
$ext_adaptive_height		= $params->get('ext_adaptive_height', 'false');
$ext_adaptive_height_speed	= (int)$params->get('ext_adaptive_height_speed', 500);
$ext_easing					= $params->get('ext_easing', 'null');
$ext_random_start			= $params->get('ext_random_start', 'false');


$ext_script = <<<SCRIPT


var jQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQ) {
			jQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 500);
	}
}
initJQ(); 
 
  
 if (jQuery) jQuery.noConflict();    
 

SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);		
}
if ($ext_load_easing  > 0) { 
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_bxslider_jshopping_products/assets/js/jquery.easing.1.3.js"></script>'); 
}
if ($ext_load_bxslider > 0) {	
	$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_bxslider_jshopping_products/assets/js/jquery.bxslider.min.js"></script>');
}


require JModuleHelper::getLayoutPath('mod_ext_bxslider_jshopping_products', $params->get('layout', 'default'));
?>